package at.jku.ssw;

/** An iterator over a object collection. */
public abstract class Iterator {
	/**
	 * Returns <code>true</code> if the iteration has more values. (In other
	 * words, returns <code>true</code> if <code>next()</code> would return a
	 * value rather than throwing an exception.)
	 */
	public abstract boolean hasNext();

	/**
	 * Returns the next value in the iteration.
	 *
	 * @throws NoSuchElementException
	 *             - if the iteration has no more values
	 */
	public abstract Object next();
}